<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\VistaReportePacientesTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\VistaReportePacientesTable Test Case
 */
class VistaReportePacientesTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\VistaReportePacientesTable
     */
    protected $VistaReportePacientes;

    /**
     * Fixtures
     *
     * @var list<string>
     */
    protected array $fixtures = [
        'app.VistaReportePacientes',
        'app.Pacientes',
        'app.Departamentos',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('VistaReportePacientes') ? [] : ['className' => VistaReportePacientesTable::class];
        $this->VistaReportePacientes = $this->getTableLocator()->get('VistaReportePacientes', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->VistaReportePacientes);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \App\Model\Table\VistaReportePacientesTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \App\Model\Table\VistaReportePacientesTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
